luarocks(1)

NAME
luarocks - module deployment system for Lua

SYNOPSIS
      luarocks [options] command

DESCRIPTION
LuaRocks is a module deployment system for Lua

Variables from the "variables" table of the configuration file can be overridden with VAR=VALUE assignments.

Options:

--from=<server>
    Fetch rocks/rockspecs from this server (takes priority over config file)

--only-from=<server>
    Fetch rocks/rockspecs from this server only (overrides any entries in the config file)

--to=<tree>
    Which tree to operate on.

Commands:

build
    Build/compile a rock.

download
    Download a specific rock file from a rocks server.

help
    Help on commands.

install
    Install a rock.

list
    Lists currently installed rocks.

make
    Compile package in current directory using a rockspec.

pack
    Create a rock, packing sources or binaries.

remove
    Uninstall a rock.

search
    Query the LuaRocks servers.

unpack
    Unpack the contents of a rock.

config
    Query configuration

SEE ALSO
luarocks-admin(1)

FILES
/etc/luarocks/config.lua

AUTHOR
Enrico Tassi <gareuselesinge@debian.org>